stages:
  - build

workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      when: never
    - when: always

earthly:
  stage: build
  image: earthly/earthly:v0.8.6
  services:
    - docker:dind

  variables:
    DOCKER_HOST: tcp://docker:2375
    FORCE_COLOR: 1
    EARTHLY_EXEC_CMD: "/bin/sh"

  before_script:
    - echo $REGISTRY_TOKEN | docker login -u $REGISTRY_USER --password-stdin
  script:
    - earthly --ci --push +build

  rules:
    - if: $CI_COMMIT_REF_PROTECTED == "true"
      when: always
    - when: never